Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractNote

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractNote

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class ContractNote
    extends IdTitle

Примечание договора.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractNote()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getDate()` |
  `java.time.LocalDateTime` | `getDateTime()` |
  `int` | `getUserId()` |
  `boolean` | `isVisible()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDateTime​(java.time.LocalDateTime time)` |
  `void` | `setUserId​(int userId)` |
  `void` | `setVisible​(boolean visible)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractNote

    public ContractNote()

- ## Method Details

  - ### getDateTime

    public java.time.LocalDateTime getDateTime()

  - ### getDate

    public java.util.Date getDate()

  - ### setDateTime

    public void setDateTime​(java.time.LocalDateTime time)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### isVisible

    public boolean isVisible()

  - ### setVisible

    public void setVisible​(boolean visible)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)